//Software exemplo para utilização da biblioteca Preferences
//Essa bibloteca é utilizada para salvar dados de forma permanente
//Recomendada para salvar configurações e dados de máquina e não data logger

//Chamada da biblioteca
#include <Preferences.h>

//Configuração da biblioteca
Preferences pref;

//Variáveis de controle
int PRE_Controle = 0;
unsigned long PRE_Tempo = 0;

void setup() {
  //Inicializa comunicações
  Serial.begin(115200); //USB

  //Inicia preferences
  pref.begin("my-app", false);
  //pref.clear(); delay(100000); //Utilizar quando necessitar apagar toda a memória
  
}

void loop() {
  
  //Salva o valor de tempo atual na memória
  if (PRE_Controle == 1){
    pref.putLong("Tempo", millis());
    PRE_Controle = 0;
  }
  //Resgata valor de tempo salvo na memória
  if (PRE_Controle == 2){
    PRE_Tempo = pref.getLong("Tempo", 0);
    PRE_Controle = 0;
  }
  
}
